Bug 73738 - Mouse stuck after Test X Setting
Mouse stuck after Test X Setting
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2002-09-09 15:36 EDT by Jan Sabbe
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-02-10 18:40:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jan Sabbe 2002-09-09 15:36:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020809

Description of problem:
After my X has been tested, my mouse is stuck in the upper right corner. I can't
move it anymore.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.In mouse detection screen select Genius Netscroll+ (PS/2)
2.Graphics card screen correctly identified my NVIDIA GeForce2 MX
3.I entered values 30-72, 50-120 for my unprobed monitor (which is a relisys
TE770, not available in the list of monitors)
4.Next I selected I wanted true color, and a resolution of 1024x768
5.I click Test X Setting
6.Everything works, screen ok, mouse ok, and I go back to anaconda

Actual Results:  I can't move my mouse anymore to click on forward, it is stuck
in the upper right corner of the screen.

Expected Results:  To be able to move my mouse

Additional info:
Comment 1 Michael Fulbright 2002-09-16 15:16:05 EDT
Jeremy could this be because when testing X it used a different protocal for the
mouse, so when it returned to the install X server it no longer responded?
Comment 2 Jeremy Katz 2002-09-20 11:47:25 EDT
Without one of the mice in question, I'd guess yes.  Especially as I know we
have to disable changing the protocol when you select the mouse.
Comment 3 Jeremy Katz 2002-10-25 17:34:32 EDT
Workaround in CVS
Comment 4 Michael Fulbright 2002-12-20 12:38:25 EST
Time tracking values updated
Comment 5 Mike McLean 2003-02-10 18:40:57 EST

Note You need to log in before you can comment on or make changes to this bug.